Index: general.ent
===================================================================
--- general.ent	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ general.ent	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "15">                   <!-- Always 2 digits -->
+<!ENTITY day          "17">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "November 15th, &year;">
+<!ENTITY releasedate  "November 17th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genutils/highlight.xml
===================================================================
--- general/genutils/highlight.xml	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ general/genutils/highlight.xml	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -7,5 +7,5 @@
   <!ENTITY highlight-download-http "http://www.andre-simon.de/zip/highlight-&highlight-version;.tar.bz2">
   <!ENTITY highlight-download-ftp  " ">
-  <!ENTITY highlight-md5sum        "8ec42b1d6d68f2eab4d27a63ef86bdc7">
+  <!ENTITY highlight-md5sum        "927004f5da4c3585a76086a0ab107a82">
   <!ENTITY highlight-size          "1.3 MB">
   <!ENTITY highlight-buildsize     "22 MB (with gui)">
Index: general/prog/pycryptodome.xml
===================================================================
--- general/prog/pycryptodome.xml	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ general/prog/pycryptodome.xml	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -7,5 +7,5 @@
   <!ENTITY pycryptodome-download-http "&pymodules-dl;/p/pycryptodome/pycryptodome-&pycryptodome-version;.tar.gz">
   <!ENTITY pycryptodome-download-ftp  " ">
-  <!ENTITY pycryptodome-md5sum        "eec5c2b52fbd5bbfd8d7daf2fcf6549c">
+  <!ENTITY pycryptodome-md5sum        "c4e53f9ed33ca883b18249b9e1546251">
   <!ENTITY pycryptodome-size          "11 MB">
   <!ENTITY pycryptodome-buildsize     "105 MB">
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ gnome.ent	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -19,5 +19,5 @@
 <!ENTITY libsecret-version                 "0.19.1">
 <!ENTITY rest-version                      "0.8.1">
-<!ENTITY totem-pl-parser-version           "3.26.3">
+<!ENTITY totem-pl-parser-version           "3.26.4">
 <!ENTITY vte-version                       "0.58.2">
 <!ENTITY yelp-xsl-version                  "3.34.0">
Index: gnome/platform/totem-pl-parser.xml
===================================================================
--- gnome/platform/totem-pl-parser.xml	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ gnome/platform/totem-pl-parser.xml	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -9,7 +9,7 @@
   <!ENTITY totem-pl-parser-download-ftp
    "&gnome-download-ftp;/totem-pl-parser/&gnome-minor-26;/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
-  <!ENTITY totem-pl-parser-md5sum        "62be99aeb12273ae95d21f35097c2a41">
+  <!ENTITY totem-pl-parser-md5sum        "70fc2731fd2c7876bf1ba81e7918a0b5">
   <!ENTITY totem-pl-parser-size          "1.3 MB">
-  <!ENTITY totem-pl-parser-buildsize     "7.4 MB (with tests)">
+  <!ENTITY totem-pl-parser-buildsize     "7.6 MB (with tests)">
   <!ENTITY totem-pl-parser-time          "less than 0.1 SBU (with tests)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ introduction/welcome/changelog.xml	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -43,4 +43,34 @@
        -->
     <listitem>
+      <para>November 17th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to pycryptodome-3.9.3 (Python module). Fixes
+          <ulink url="&blfs-ticket-root;12761">#12761</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to totem-pl-parser-3.26.4. Fixes
+          <ulink url="&blfs-ticket-root;12759">#12759</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mlt-6.18.0. Fixes
+          <ulink url="&blfs-ticket-root;12758">#12758</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to highlight-3.54. Fixes
+          <ulink url="&blfs-ticket-root;12756">#12756</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to thunderbird-68.2.2. Fixes
+          <ulink url="&blfs-ticket-root;12750">#12750</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to thunar-1.8.11. Fixes
+          <ulink url="&blfs-ticket-root;12773">#12773</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 15th, 2019</para>
       <itemizedlist>
Index: multimedia/libdriv/mlt.xml
===================================================================
--- multimedia/libdriv/mlt.xml	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ multimedia/libdriv/mlt.xml	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -7,7 +7,7 @@
   <!ENTITY mlt-download-http "https://github.com/mltframework/mlt/releases/download/v&mlt-version;/mlt-&mlt-version;.tar.gz">
   <!ENTITY mlt-download-ftp  " ">
-  <!ENTITY mlt-md5sum        "e3872267232aae89f5182fd567be2596">
+  <!ENTITY mlt-md5sum        "5b21f29883db6580987c58bda8b2b927">
   <!ENTITY mlt-size          "1.4 MB">
-  <!ENTITY mlt-buildsize     "294 MB">
+  <!ENTITY mlt-buildsize     "39 MB">
   <!ENTITY mlt-time          "0.5 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ packages.ent	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -241,5 +241,5 @@
 <!ENTITY gtkhtml-version              "4.10.0">
 <!ENTITY hd2u-version                 "1.0.4">
-<!ENTITY highlight-version            "3.53">
+<!ENTITY highlight-version            "3.54">
 <!ENTITY ibus-version                 "1.5.21">
 <!ENTITY imagemagick6-version         "6.9.10">
@@ -530,5 +530,5 @@
 <!ENTITY pycairo-version              "1.18.2">
 <!--<!ENTITY pycrypto-version             "2.6.1"> Replaced by pycryptodome -->
-<!ENTITY pycryptodome-version         "3.9.2">
+<!ENTITY pycryptodome-version         "3.9.3">
 <!ENTITY pygments-version             "2.4.2">
 <!ENTITY pygobject2-version           "2.28.7">
@@ -790,5 +790,5 @@
 <!ENTITY xfce4-panel-version          "4.14.1">
 <!ENTITY xfce4-xkb-plugin-version     "0.7.1">
-<!ENTITY thunar-version               "1.8.10">
+<!ENTITY thunar-version               "1.8.11">
 <!ENTITY thunar-volman-version        "0.9.5">
 <!ENTITY tumbler-version              "0.2.7">
@@ -895,5 +895,5 @@
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.22">
-<!ENTITY thunderbird-version          "68.2.1">
+<!ENTITY thunderbird-version          "68.2.2">
 <!ENTITY tigervnc-version             "1.9.0">
 <!ENTITY transmission-version         "2.94">
@@ -953,5 +953,5 @@
 <!ENTITY libvorbis-version            "1.3.6">
 <!ENTITY libvpx-version               "1.8.1">
-<!ENTITY mlt-version                  "6.16.0">
+<!ENTITY mlt-version                  "6.18.0">
 <!ENTITY opal-version                 "3.10.10">
 <!ENTITY opus-version                 "1.3.1">
Index: xfce/core/thunar.xml
===================================================================
--- xfce/core/thunar.xml	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ xfce/core/thunar.xml	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -8,5 +8,5 @@
            "http://archive.xfce.org/src/xfce/thunar/1.8/thunar-&thunar-version;.tar.bz2">
   <!ENTITY thunar-download-ftp  " ">
-  <!ENTITY thunar-md5sum        "85c7394d82542d5a023f1f5baef109d8">
+  <!ENTITY thunar-md5sum        "f66dd341d3163a2bf79148f44e51a874">
   <!ENTITY thunar-size          "2.3 MB">
   <!ENTITY thunar-buildsize     "54 MB">
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision 142b1d49e14e265ff915d74b660de38afe50d540)
+++ xsoft/other/thunderbird.xml	(revision 3049e2e8397720af6da1361fa8f1698bcc9dbe8d)
@@ -7,8 +7,8 @@
   <!ENTITY thunderbird-download-http "&mozilla-http;/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.xz">
   <!ENTITY thunderbird-download-ftp  " ">
-  <!ENTITY thunderbird-md5sum        "5b2b0e16399850c09e900d36ab498b1c">
+  <!ENTITY thunderbird-md5sum        "756560656233ab19187d9fc8bfb37be9">
   <!ENTITY thunderbird-size          "319 MB">
-  <!ENTITY thunderbird-buildsize     "4.2 GB (151 MB installed)">
-  <!ENTITY thunderbird-time          "29 SBU (with -j4, estimated 90 SBU with -j1)">
+  <!ENTITY thunderbird-buildsize     "8.7 GB (151 MB installed)">
+  <!ENTITY thunderbird-time          "31 SBU (with -j4, estimated 90 SBU with -j1)">
   <!-- Verified the time at -j1 on another system for posterity's sake. -->
 ]>