Index: general/prog/java.xml
===================================================================
--- general/prog/java.xml	(revision 74fe55c96b97bd862eae829c9b057ae2af7e6f8d)
+++ general/prog/java.xml	(revision 3053ed81785085329674fe8f15d0950c4da59af0)
@@ -7,10 +7,10 @@
   <!ENTITY anduin-download             "http://anduin.linuxfromscratch.org/files/BLFS/OpenJDK-&openjdk-version;">
   <!ENTITY openjdk-download-binary-x86 "&anduin-download;/OpenJDK-&openjdk-version;-i686-bin.tar.xz">
-  <!ENTITY openjdk-bin-md5sum-x86      "8b90cf0456acf225d9e317f3d1eeb4bc">
+  <!ENTITY openjdk-bin-md5sum-x86      "752a869d9dfb6c3a978f59f87eedafbf">
   <!ENTITY openjdk-bin-size-x86        "57 MB">
   <!ENTITY openjdk-bin-buildsize-x86   "166 MB">
 
   <!ENTITY openjdk-download-binary-x64 "&anduin-download;/OpenJDK-&openjdk-version;-x86_64-bin.tar.xz">
-  <!ENTITY openjdk-bin-md5sum-x64      "ad1859e7497d0b49e53e59d8fb9cdc0b">
+  <!ENTITY openjdk-bin-md5sum-x64      "91331d899c4f42dfe5f4016e173cafab">
   <!ENTITY openjdk-bin-size-x64        "58 MB">
   <!ENTITY openjdk-bin-buildsize-x64   "169 MB">
@@ -137,20 +137,4 @@
 chown -R root:root /opt/OpenJDK-&openjdk-version;-bin</userinput></screen>
 
-<!--
-    <para>Configure the temporary <application>OpenJDK</application>
-    installation by issuing the following commands (note that if you logout
-    and login back before having definitely configured
-    <xref linkend='openjdk'/>, you'll have to issue them again):</para>
-
-<screen><userinput>export CLASSPATH=.:/usr/share/java &amp;&amp;
-export JAVA_HOME=/opt/OpenJDK-&openjdk-version;-bin &amp;&amp;
-export PATH="$PATH:/opt/OpenJDK-&openjdk-version;-bin/bin"</userinput></screen>
-
-    <para>You may also include those instructions into a file in the <filename
-    class="directory">/etc/profile.d</filename> directory. Do not forget to
-    logout and login back, or to source the profile file after
-    modification.</para>
--->
-
     <para>
       The binary version is now installed. You may create a symlink to that
@@ -159,5 +143,5 @@
     </para>
 
-<screen role="root"><userinput>ln -sf OpenJDK-&openjdk-version;-bin /opt/jdk</userinput></screen>
+<screen role="root"><userinput>ln -sfn OpenJDK-&openjdk-version;-bin /opt/jdk</userinput></screen>
 
     <para>
@@ -166,11 +150,4 @@
     </para>
 
-<!--
-If you don't want to compile the
-      sources, skip ahead to the <xref linkend='openjdk-config'/> section.
-    Otherwise, continue to the <xref linkend='apache-ant'/>,
-    <xref linkend='junit'/>, and <xref linkend='openjdk'/> sections.</para>
--->
-    
   </sect2>
 
Index: general/prog/openjdk.xml
===================================================================
--- general/prog/openjdk.xml	(revision 74fe55c96b97bd862eae829c9b057ae2af7e6f8d)
+++ general/prog/openjdk.xml	(revision 3053ed81785085329674fe8f15d0950c4da59af0)
@@ -5,52 +5,52 @@
   %general-entities;
 
-  <!ENTITY ojdk-upd                  "45">
-  <!ENTITY ojdk-bd                   "b14">
+  <!ENTITY ojdk-upd                  "51">
+  <!ENTITY ojdk-bd                   "b16">
   <!ENTITY ojdk-tarball              "jdk8u&ojdk-upd;-&ojdk-bd;.tar.bz2">
-  <!ENTITY ojdk-repo                 "http://hg.openjdk.java.net/jdk8u/jdk8u">
+  <!ENTITY ojdk-repo                 "http://hg.openjdk.java.net/jdk8u/jdk8u60">
   <!ENTITY ojdk-download             "&ojdk-repo;/archive/&ojdk-tarball;">
 
   <!ENTITY anduin-download           "http://anduin.linuxfromscratch.org/files/BLFS/OpenJDK-&openjdk-version;">
 
-  <!ENTITY ojdk-md5sum               "4809dd6f1cae5c87e855a21506d43012">
+  <!ENTITY ojdk-md5sum               "b7ff36d84ddef546ea84e7e05c19a43f">
   <!ENTITY ojdk-size                 "388 KB">
 
   <!ENTITY corba-download            "&anduin-download;/corba.tar.xz">
-  <!ENTITY corba-md5sum              "af5baa04d025fb96a39a0ea0a5b187f4">
-  <!ENTITY corba-size                "917 KB">
+  <!ENTITY corba-md5sum              "90bf1db1628913a590b1be044dc61569">
+  <!ENTITY corba-size                "918 KB">
 
   <!ENTITY hotspot-download          "&anduin-download;/hotspot.tar.xz">
-  <!ENTITY hotspot-md5sum            "16b2feeedf3b3d097f51a25af09bb8e1">
+  <!ENTITY hotspot-md5sum            "5702b0b10817111fd2136e9abc82f4d8">
   <!ENTITY hotspot-size              "6.3 MB">
 
   <!ENTITY jaxp-download             "&anduin-download;/jaxp.tar.xz">
-  <!ENTITY jaxp-md5sum               "3a23fa9cc06fc130c83597c10da9ac29">
+  <!ENTITY jaxp-md5sum               "37afb7eea36dd0443baa6de379f441b1">
   <!ENTITY jaxp-size                 "2.2 MB">
 
   <!ENTITY jaxws-download            "&anduin-download;/jaxws.tar.xz">
-  <!ENTITY jaxws-md5sum              "9769cc527f8c73ea624afa27e86acde9">
+  <!ENTITY jaxws-md5sum              "180c01db60522f2e349348cca72ff90c">
   <!ENTITY jaxws-size                "2.2 MB">
 
   <!ENTITY jdk-download              "&anduin-download;/jdk.tar.xz">
-  <!ENTITY jdk-md5sum                "813df5653cc634095e88db5243f5351a">
+  <!ENTITY jdk-md5sum                "0c0b0c3a4698ca8669e78251327ec3ad">
   <!ENTITY jdk-size                  "36.4 MB">
 
   <!ENTITY langtools-download        "&anduin-download;/langtools.tar.xz">
-  <!ENTITY langtools-md5sum          "ebb9bc974506248642a983ca16986425">
+  <!ENTITY langtools-md5sum          "b2f3787e284e1df1abe66d728e290abb">
   <!ENTITY langtools-size            "2.0 MB">
 
   <!ENTITY nashorn-download          "&anduin-download;/nashorn.tar.xz">
-  <!ENTITY nashorn-md5sum            "e9b1252034e47023ddaf44b4c8fd9a75">
+  <!ENTITY nashorn-md5sum            "9c9882d6b603274be3e9c7def0edba40">
   <!ENTITY nashorn-size              "2.1 MB">
 
-  <!ENTITY jtreg-version             "4.1-b11-273">
+  <!ENTITY jtreg-version             "4.1-b12-356">
   <!ENTITY jtreg-download            "&anduin-download;/jtreg&jtreg-version;.tar.xz">
-  <!ENTITY jtreg-md5sum              "2f84934b6e9efcbc9060109729e569d1">
+  <!ENTITY jtreg-md5sum              "1c8609e1078411a4f6efdd0c194c1716">
   <!ENTITY jtreg-size                "7.2 MB">
 
   <!ENTITY icedtea-web-download      "http://icedtea.classpath.org/download/source/icedtea-web-&icedtea-web-version;.tar.gz">
 
-  <!ENTITY ojdk-buildsize           "3.9 GB (additional 361 MB for tests)">
-  <!ENTITY ojdk-time                "10 SBU (additional 110 SBU for tests)">
+  <!ENTITY ojdk-buildsize           "3.6 GB (additional 536 MB for tests)">
+  <!ENTITY ojdk-time                "10 SBU (additional 105 SBU for tests)">
 ]>
 
@@ -588,8 +588,8 @@
     <para>
       <command>make DEBUG_BINARIES=true
-      DISABLE_HOTSPOT_OS_VERSION_CHECK=ok all</command>: The build fails if
-      DEBUG_BINARIES is not set to true. Furthermore, OS version checking in
-      hotspot's Makefile does not account for Linux version 4.x. Disabling the
-      test is harmless and allows building.
+      DISABLE_HOTSPOT_OS_VERSION_CHECK=ok all</command>: The build fails on
+      32 bit machines if DEBUG_BINARIES is not set to true. Furthermore, OS
+      version checking in hotspot's Makefile does not account for Linux version
+      4.x. Disabling the test is harmless and allows building.
     </para>
 