Index: general.ent
===================================================================
--- general.ent	(revision d2db46f0e0fe8d40ab2342d3a30915fb97996763)
+++ general.ent	(revision 3066aee67c28fbe734e996249fb3e8ce8c9709f0)
@@ -1,3 +1,3 @@
-<!ENTITY day          "12">                   <!-- Always 2 digits -->
+<!ENTITY day          "13">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2006">
@@ -433,5 +433,5 @@
 <!ENTITY gconf-editor-version         "2.12.1">
 <!ENTITY gnome-utils-version          "2.12.2">
-<!ENTITY gnome-system-monitor-version "2.12.1">
+<!ENTITY gnome-system-monitor-version "2.12.2">
 <!ENTITY nautilus-cd-burner-version   "2.12.2">
 <!ENTITY gnome-media-version          "2.12.0">
Index: gnome/add/gnome-system-monitor.xml
===================================================================
--- gnome/add/gnome-system-monitor.xml	(revision d2db46f0e0fe8d40ab2342d3a30915fb97996763)
+++ gnome/add/gnome-system-monitor.xml	(revision 3066aee67c28fbe734e996249fb3e8ce8c9709f0)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gnome-system-monitor-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-system-monitor/&gnome-version;/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
-  <!ENTITY gnome-system-monitor-download-ftp  "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-monitor/&gnome-version;/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
-  <!ENTITY gnome-system-monitor-md5sum        "31924d02786622151c0fb30314d1f85d">
-  <!ENTITY gnome-system-monitor-size          "785 KB">
-  <!ENTITY gnome-system-monitor-buildsize     "10.6 MB">
-  <!ENTITY gnome-system-monitor-time          "0.2 SBU">
+  <!ENTITY gnome-system-monitor-download-http "&gnome-download-http;/gnome-system-monitor/&gnome-version;/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
+  <!ENTITY gnome-system-monitor-download-ftp  "&gnome-download-ftp;/gnome-system-monitor/&gnome-version;/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
+  <!ENTITY gnome-system-monitor-md5sum        "100f3599b95a375db85df521f3e2554e">
+  <!ENTITY gnome-system-monitor-size          "786 KB">
+  <!ENTITY gnome-system-monitor-buildsize     "10.8 MB">
+  <!ENTITY gnome-system-monitor-time          "0.1 SBU">
 ]>
 
@@ -67,5 +67,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required"><xref linkend="libgnomeui"/>,
-    <xref linkend="libwnck"/> and
+    <xref linkend="libwnck"/>, and
     <xref linkend="libgtop"/></para>
 
@@ -79,5 +79,6 @@
 
 <screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-    --localstatedir=/var/lib --sysconfdir=&gnome-etc-dir; &amp;&amp;
+            --localstatedir=/var/lib \
+            --sysconfdir=&gnome-etc-dir; &amp;&amp;
 make</userinput></screen>
 
@@ -125,8 +126,6 @@
         <seg>gnome-system-monitor</seg>
         <seg>None</seg>
-        <seg>&gnome-etc-dir;/gconf/gconf.xml.defaults/apps/procman,
-        &gnome-etc-dir;/gconf/gconf.xml.defaults/schemas/apps/procman,
-        $GNOME_PREFIX/share/gnome/help/gnome-system-monitor, and
-        $GNOME_PREFIX/share/omf/gnome-system-monitor</seg>
+        <seg>&gnome-etc-dir;/gconf/gconf.xml.defaults/[,schemas/]apps/procman
+        and $GNOME_PREFIX/share/[gnome/help, omf]/gnome-system-monitor</seg>
       </seglistitem>
     </segmentedlist>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d2db46f0e0fe8d40ab2342d3a30915fb97996763)
+++ introduction/welcome/changelog.xml	(revision 3066aee67c28fbe734e996249fb3e8ce8c9709f0)
@@ -43,4 +43,13 @@
 
     <listitem>
+      <para>February 13th, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Updated to Gnome System Monitor-2.12.2.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 12th, 2006</para>
       <itemizedlist>