Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 1dc4739415743ae5ae22a2f38fba7b80f29d6127)
+++ introduction/welcome/credits.xml	(revision 3082b92380f9279f37e4f3becf09aa0d120db2cb)
@@ -18,5 +18,5 @@
   <para>Many people have contributed both directly and indirectly to
   BLFS. This page lists all of those we can think of.  We may well have
-  left people out and if you feel this is the case, drop us line.  Many
+  left people out and if you feel this is the case, drop us a line.  Many
   thanks to all of the LFS community for their assistance with
   this project.  If you are in the list and wish to have your email address
@@ -36,5 +36,6 @@
         <para><emphasis>Co-Editors:</emphasis> Randy McMurchy,
         Larry Lawrence, Igor Zivkovic, DJ Lucas, Tushar Teredesai,
-        David Jensen, Archaic, Manuel Canales Esparcia, Dan Nicholson, and Andy Benton.</para>
+        David Jensen, Archaic, Manuel Canales Esparcia, Dan Nicholson
+        and Andy Benton.</para>
       </listitem>
     </itemizedlist>
@@ -159,4 +160,68 @@
 
       <listitem>
+        <para>traceroute:
+        <emphasis>Jeff Bauman</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>ProFTPD and rsync:
+        <emphasis>Daniel Baumann</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>joe, nano, nmap, slang, w3m and whois:
+        <emphasis>Timothy Bauscher</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>Fetchmail and WvDial:
+        <emphasis>Paul Campbell</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>CDParanoia, mpg123, SDL and XMMS:
+        <emphasis>Jeroen Coumans</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>UDFtools, Perl modules (initial version) and Bluefish:
+        <emphasis>Richard Downing</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>sudo, wireless_tools:
+        <emphasis>Bruce Dubbs</emphasis></para>
+      </listitem>
+
+      <!-- <listitem>
+        <para>courier:
+        <emphasis>Jim Gifford</emphasis></para>
+      </listitem> -->
+
+      <listitem>
+        <para>tripwire:
+        <emphasis>Manfred Glombowski</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>alsa, cvs, dhcpcd, gpm, hdparm, libjpeg, libmng, libpng,
+        libtiff, <!-- libungif, -->giflib, links, lynx, openssl, tcsh,
+        which and zsh:
+        <emphasis>Mark Hymers</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>ALSA Firmware, ALSA OSS, inetutils, GLib, GTK+,
+        libxml and vim:
+        <emphasis>James Iwanek</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>db and lcms:
+        <emphasis>Jeremy Jones</emphasis> and
+        <emphasis>Mark Hymers</emphasis></para>
+      </listitem>
+
+      <listitem>
         <para>aalib, Alsa, ffmpeg, MPlayer, transcode, xvid and xsane:
         <emphasis>Alex Kloss</emphasis></para>
@@ -164,6 +229,11 @@
 
       <listitem>
+        <para>ntp:
+        <emphasis>Eric Konopka</emphasis></para>
+      </listitem>
+
+      <listitem>
         <para>AbiWord, at-spi, ATK, audiofile, avifile, bc, bonobo-activation,
-        bug-buddy, cdrdao, cdrtools, cpio, curl, dhcp, enlightenment, eog, esound,
+        bug-buddy, cdrdao, cdrtools, cpio, curl, dhcp, eog, esound,
         fcron, fluxbox, gail, galeon, gconf-editor, gdbm, gedit, gimp, GLib2,
         gmp, gnet, gnome-applets, gnome-desktop, gnome-games, gnome-icon-theme,
@@ -184,44 +254,8 @@
 
       <listitem>
-        <para>CDParanoia, mpg123, SDL and XMMS:
-        <emphasis>Jeroen Coumans</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>alsa, cvs, dhcpcd, gpm, hdparm, libjpeg, libmng, libpng,
-        libtiff, <!-- libungif, -->giflib, links, lynx, openssl, tcsh,
-        which, zsh, zlib:
-        <emphasis>Mark Hymers</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>traceroute:
-        <emphasis>Jeff Bauman</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>db and lcms:
-        <emphasis>Jeremy Jones</emphasis> and
-        <emphasis>Mark Hymers</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>aspell, balsa, bind, bonobo, bonobo-conf, cvs server,
-        emacs, evolution, exim, expat, gnome-print,
-        GnuCash, gtkhtml, guppi, guile, g-wrap, leafnode, lesstif,
-        libcapplet, libesmtp, libghttp, libglade, pine, portmap,
-        PostgreSQL, qpopper, reiserfs, Samba, sendmail,
-        slrn, soup, teTeX, tcp-wrappers, and xinetd:
-        <emphasis>Billy O'Connor</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ProFTPD and rsync:
-        <emphasis>Daniel Baumann</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ESP Ghostscript:
-        <emphasis>Matt Rogers</emphasis></para>
+        <para>Archive::Zip, cracklib, JDK-5, libdrm, libpcap, Mesa, ncpfs,
+        netfs, OpenOffice-2, pppd (update), RP-PPPoE, Samba-3, Subversion
+        and xterm:
+        <emphasis>DJ Lucas</emphasis></para>
       </listitem>
 
@@ -246,6 +280,16 @@
 
       <listitem>
-        <para>sudo, wireless_tools:
-        <emphasis>Bruce Dubbs</emphasis></para>
+        <para>aspell, balsa, bind, bonobo, bonobo-conf, cvs server,
+        emacs, evolution, exim, expat, gnome-print,
+        GnuCash, gtkhtml, guppi, guile, g-wrap, leafnode, lesstif,
+        libcapplet, libesmtp, libghttp, libglade, pine, portmap,
+        PostgreSQL, qpopper, reiserfs, Samba, sendmail,
+        slrn, soup, teTeX, tcp-wrappers, and xinetd:
+        <emphasis>Billy O'Connor</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>Gimp-Print, libusb and TIN:
+        <emphasis>Alexander E. Patrakov</emphasis></para>
       </listitem>
 
@@ -256,21 +300,32 @@
 
       <listitem>
+        <para>nfs-utils:
+        <emphasis>Reinhard</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>ESP Ghostscript:
+        <emphasis>Matt Rogers</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>iptables:
+        <emphasis>Henning Rohde</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>fontconfig, gcc, jdk, mozilla, nas, openoffice, ispell,
+        mailx, ImageMagick, hd2u, tcl, tk and bind-utils:
+        <emphasis>Tushar Teredesai</emphasis></para>
+      </listitem>
+
+      <listitem>
+        <para>MySQL:
+        <emphasis>Jesse Tie-Ten-Quee</emphasis></para>
+      </listitem>
+
+      <listitem>
         <para>PHP:
         <emphasis>Jeremy Utley</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Gimp-Print, libusb and TIN:
-        <emphasis>Alexander E. Patrakov</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Fetchmail and WvDial:
-        <emphasis>Paul Campbell</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>UDFtools, Perl modules (initial version) and Bluefish:
-        <emphasis>Richard Downing</emphasis></para>
       </listitem>
 
@@ -286,57 +341,4 @@
       </listitem>
 
-      <listitem>
-        <para>tripwire:
-        <emphasis>Manfred Glombowski</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ALSA Firmware, ALSA OSS, inetutils, GLib, GTK+,
-        libxml and vim:
-        <emphasis>James Iwanek</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>iptables:
-        <emphasis>Henning Rohde</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>joe, nano, nmap, slang, w3m and whois:
-        <emphasis>Timothy Bauscher</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>MySQL:
-        <emphasis>Jesse Tie-Ten-Quee</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>fontconfig, gcc, jdk, mozilla, nas, openoffice, ispell,
-        mailx, ImageMagick, hd2u, tcl, tk and bind-utils:
-        <emphasis>Tushar Teredesai</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Archive::Zip, cracklib, JDK-5, libdrm, libpcap, Mesa, ncpfs,
-        netfs, OpenOffice-2, pppd (update), RP-PPPoE, Samba-3, Subversion
-        and xterm: <emphasis>DJ Lucas</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ntp:
-        <emphasis>Eric Konopka</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>nfs-utils:
-        <emphasis>Reinhard</emphasis></para>
-      </listitem>
-
-      <!-- <listitem>
-        <para>courier:
-        <emphasis>Jim Gifford</emphasis></para>
-      </listitem> -->
-
     </itemizedlist>
 
@@ -354,9 +356,9 @@
       </listitem>
 
-      <listitem>
+      <!-- <listitem>
         <para><emphasis>Archaic</emphasis>
         for trouble shooting the mozilla section by performing multiple builds
         and for providing a description of the various mozilla extensions.</para>
-      </listitem>
+      </listitem> -->
 
       <listitem>