Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision 2c08a0645179114b3b753a15dcc72823435fb4cb)
+++ x/installing/x7app.xml	(revision 03304e78ff62933bdf51c599cb4d58fa44a32ebd)
@@ -127,33 +127,18 @@
     <segmentedlist>
       <segtitle>Installed Programs</segtitle>
-<!--      <segtitle>Installed Libraries</segtitle> -->
-<!--      <segtitle>Installed Directories</segtitle> -->
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>appres, atobm, bdftopcf, beforelight, bitmap, bmtoa, dga,
-        editres, fontname.sh, fontprop.sh, fonttosfnt, fslsfonts, fstobdf,
-<!--        iceauth, ico, lbxproxy, listres, mkcfm, mkfontdir, mkfontscale,
-        oclock, proxymngr, rstart, rstartd, sessreg, setxkbmap, showfont, -->
-        iceauth, ico, listres, mkcfm, mkfontdir, mkfontscale,
-        oclock, rstart, rstartd, sessreg, setxkbmap, showfont,
-        showrgb, smproxy, startx, twm, viewres, x11perf, x11perfcomp, xauth,
-        xauth_switch_to_sun-des-1, xbiff, xcalc, xclipboard, xclock, xcmsdb,
-        xconsole, xcursorgen, xcutsel, xdbedizzy, xditview, xdm, xdmshell,
-<!--        xdpr, xdpyinfo, xdriinfo, xedit, xev, xeyes, xfd, xfindproxy,
-        xfontsel, xfs, xfsinfo, xfwp, xgamma, xgc, xhost, xinit, xkbbell, -->
-        xdpr, xdpyinfo, xdriinfo, xedit, xev, xeyes, xfd,
-        xfontsel, xfs, xfsinfo, xgamma, xgc, xhost, xinit, xkbbell,
-        xkbcomp, xkbevd, xkbprint, xkbvleds, xkbwatch, xkill, xload, xlogo,
-        xlsatoms, xlsclients, xlsfonts, xmag, xman, xmessage, xmh, xmodmap,
-        xmore, xon, xphelloworld, xplsprinters, xpr, xprehashprinterlist,
-        xprop, xpsimplehelloworld, xpxthelloworld, xrandr, xrdb, xrefresh,
-<!--  xrx, xset, xsetmode, xsetpointer, xsetroot, xsm, xstdcmap, xtrapchar, -->
-        xset, xsetmode, xsetpointer, xsetroot, xsm, xstdcmap, xtrapchar,
-        xtrapin, xtrapinfo, xtrapout, xtrapproto, xtrapreset, xtrapstats,
-        xvidtune, xvinfo, xwd, xwininfo, and xwud</seg>
-<!--        <seg>libxrx.{so,a} and libxrxnest.{so,a}</seg> -->
-<!--        <seg>The following subdirectories of <envar>$XORG_PREFIX</envar>/:
-        lib/X11/{fs,lbxproxy,proxymgr,rstart,x11perfcomp,xdm,xedit,xinit,xsm}
-        and share/X11/{app-defaults,twm}</seg> -->
+        <seg>appres, atobm, bdftopcf, bitmap, bmtoa, dga, iceauth, mkfontdir,
+        mkfontscale,sessreg, setxkbmap, smproxy, startx, twm, x11perf,
+        x11perfcomp, xauth, xclock, xcmsdb, xcursorgen, xdpr, xdpyinfo,
+        xdriinfo, xev, xgamma, xhost, xinit, xkbbell, xkbcomp, xkbevd,
+        xkbvleds, xkbwatch, xkill, xlsatoms, xlsclients,  xmodmap, xpr, xprop,
+        xrandr, xrdb, xrefresh, xset, xsetmode, xsetroot, xvinfo, xwd,
+        xwininfo, and xwud</seg>
+        <seg>None</seg>
+        <seg><envar>$XORG_PREFIX</envar>/lib/X11/xinit and
+        <envar>$XORG_PREFIX</envar>/share/X11/{app-defaults,twm,xkb}</seg>
       </seglistitem>
     </segmentedlist>
@@ -195,14 +180,4 @@
       </varlistentry>
 
-      <varlistentry id="beforelight-x7">
-        <term><command>beforelight</command></term>
-        <listitem>
-          <para>is a screensaver.</para>
-          <indexterm zone="xorg7-app beforelight-x7">
-            <primary sortas="b-beforelight">beforelight</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="bitmap-x7">
         <term><command>bitmap</command></term>
@@ -235,66 +210,4 @@
       </varlistentry>
 
-      <varlistentry id="editres-x7">
-        <term><command>editres</command></term>
-        <listitem>
-          <para>is a dynamic resource editor for X Toolkit
-          applications.</para>
-          <indexterm zone="xorg7-app editres-x7">
-            <primary sortas="b-editres">editres</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="fontname.sh-x7">
-        <term><command>fontname.sh</command></term>
-        <listitem>
-          <para>is a script used to generate the FONT properties.</para>
-          <indexterm zone="xorg7-app fontname.sh-x7">
-            <primary sortas="b-fontname.sh">fontname.sh</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="fontprop.sh-x7">
-        <term><command>fontprop.sh</command></term>
-        <listitem>
-          <para>is a script used to generate the various XLFD font
-          properties given an XLFD-style font name.</para>
-          <indexterm zone="xorg7-app fontprop.sh-x7">
-            <primary sortas="b-fontprop.sh">fontprop.sh</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="fonttosfnt-x7">
-        <term><command>fonttosfnt</command></term>
-        <listitem>
-          <para>wraps a bitmap font in a sfnt (TrueType) wrapper.</para>
-          <indexterm zone="xorg7-app fonttosfnt-x7">
-            <primary sortas="b-fonttosfnt">fonttosfnt</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="fslsfonts-x7">
-        <term><command>fslsfonts</command></term>
-        <listitem>
-          <para>lists fonts served by X font server.</para>
-          <indexterm zone="xorg7-app fslsfonts-x7">
-            <primary sortas="b-fslsfonts">fslsfonts</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="fstobdf-x7">
-        <term><command>fstobdf</command></term>
-        <listitem>
-          <para>generates a BDF font from X font server.</para>
-          <indexterm zone="xorg7-app fstobdf-x7">
-            <primary sortas="b-fstobdf">fstobdf</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="iceauth-x7">
         <term><command>iceauth</command></term>
@@ -307,45 +220,4 @@
       </varlistentry>
 
-      <varlistentry id="ico-x7">
-        <term><command>ico</command></term>
-        <listitem>
-          <para>animates an icosahedron or other polyhedron.</para>
-          <indexterm zone="xorg7-app ico-x7">
-            <primary sortas="b-ico">ico</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-<!--      <varlistentry id="lbxproxy-x7">
-        <term><command>lbxproxy</command></term>
-        <listitem>
-          <para>is the Low Bandwidth X proxy.</para>
-          <indexterm zone="xorg7-app lbxproxy-x7">
-            <primary sortas="b-lbxproxy">lbxproxy</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry> -->
-
-      <varlistentry id="listres-x7">
-        <term><command>listres</command></term>
-        <listitem>
-          <para>lists resources in widgets.</para>
-          <indexterm zone="xorg7-app listres-x7">
-            <primary sortas="b-listres">listres</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="mkcfm-x7">
-        <term><command>mkcfm</command></term>
-        <listitem>
-          <para>creates summaries of font metric files in CID font
-          directories.</para>
-          <indexterm zone="xorg7-app mkcfm-x7">
-            <primary sortas="b-mkcfm">mkcfm</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="mkfontdir-x7">
         <term><command>mkfontdir</command></term>
@@ -368,44 +240,4 @@
       </varlistentry>
 
-      <varlistentry id="oclock-x7">
-        <term><command>oclock</command></term>
-        <listitem>
-          <para>is a round X clock.</para>
-          <indexterm zone="xorg7-app oclock-x7">
-            <primary sortas="b-oclock">oclock</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-<!--      <varlistentry id="proxymngr-x7">
-        <term><command>proxymngr</command></term>
-        <listitem>
-          <para>is the X proxy manager service.</para>
-          <indexterm zone="xorg7-app proxymngr-x7">
-            <primary sortas="b-proxymngr">proxymngr</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry> -->
-
-      <varlistentry id="rstart-x7">
-        <term><command>rstart</command></term>
-        <listitem>
-          <para>is a sample implementation of a Remote Start client.</para>
-          <indexterm zone="xorg7-app rstart-x7">
-            <primary sortas="b-rstart">rstart</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rstartd-x7">
-        <term><command>rstartd</command></term>
-        <listitem>
-          <para>is a sample implementation of a Remote Start rsh helper.</para>
-          <indexterm zone="xorg7-app rstartd-x7">
-            <primary sortas="b-rstartd">rstartd</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="sessreg-x7">
         <term><command>sessreg</command></term>
@@ -428,24 +260,4 @@
       </varlistentry>
 
-      <varlistentry id="showfont-x7">
-        <term><command>showfont</command></term>
-        <listitem>
-          <para>is a font dumper for X font server.</para>
-          <indexterm zone="xorg7-app showfont-x7">
-            <primary sortas="b-showfont">showfont</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="showrgb-x7">
-        <term><command>showrgb</command></term>
-        <listitem>
-          <para>uncompiles an rgb color-name database.</para>
-          <indexterm zone="xorg7-app showrgb-x7">
-            <primary sortas="b-showrgb">showrgb</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="smproxy-x7">
         <term><command>smproxy</command></term>
@@ -478,14 +290,4 @@
       </varlistentry>
 
-      <varlistentry id="viewres-x7">
-        <term><command>viewres</command></term>
-        <listitem>
-          <para>is a graphical class browser for Xt.</para>
-          <indexterm zone="xorg7-app viewres-x7">
-            <primary sortas="b-viewres">viewres</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="x11perf-x7">
         <term><command>x11perf</command></term>
@@ -514,45 +316,4 @@
           <indexterm zone="xorg7-app xauth-x7">
             <primary sortas="b-xauth">xauth</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xauth_switch_to_sun-des-1-x7">
-        <term><command>xauth_switch_to_sun-des-1</command></term>
-        <listitem>
-          <para>switches the current Xserver's authentification
-          to SUN-DES-1.</para>
-          <indexterm zone="xorg7-app xauth_switch_to_sun-des-1-x7">
-            <primary sortas="b-xauth_switch_to_sun-des-1">xauth_switch_to_sun-des-1</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xbiff-x7">
-        <term><command>xbiff</command></term>
-        <listitem>
-          <para>is a mailbox flag for X.</para>
-          <indexterm zone="xorg7-app xbiff-x7">
-            <primary sortas="b-xbiff">xbiff</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xcalc-x7">
-        <term><command>xcalc</command></term>
-        <listitem>
-          <para>is a scientific calculator for X.</para>
-          <indexterm zone="xorg7-app xcalc-x7">
-            <primary sortas="b-xcalc">xcalc</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xclipboard-x7">
-        <term><command>xclipboard</command></term>
-        <listitem>
-          <para>is an X clipboard client.</para>
-          <indexterm zone="xorg7-app xclipboard-x7">
-            <primary sortas="b-xclipboard">xclipboard</primary>
           </indexterm>
         </listitem>
@@ -580,14 +341,4 @@
       </varlistentry>
 
-      <varlistentry id="xconsole-x7">
-        <term><command>xconsole</command></term>
-        <listitem>
-          <para>monitors system console messages with X.</para>
-          <indexterm zone="xorg7-app xconsole-x7">
-            <primary sortas="b-xconsole">xconsole</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xcursorgen-x7">
         <term><command>xcursorgen</command></term>
@@ -601,56 +352,4 @@
       </varlistentry>
 
-      <varlistentry id="xcutsel-x7">
-        <term><command>xcutsel</command></term>
-        <listitem>
-          <para>interchanges between cut buffer and selection.</para>
-          <indexterm zone="xorg7-app xcutsel-x7">
-            <primary sortas="b-xcutsel">xcutsel</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xdbedizzy-x7">
-        <term><command>xdbedizzy</command></term>
-        <listitem>
-          <para>is a demo of DBE creating a double buffered spinning
-          scene.</para>
-          <indexterm zone="xorg7-app xdbedizzy-x7">
-            <primary sortas="b-xdbedizzy">xdbedizzy</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xditview-x7">
-        <term><command>xditview</command></term>
-        <listitem>
-          <para>displays ditroff output.</para>
-          <indexterm zone="xorg7-app xditview-x7">
-            <primary sortas="b-xditview">xditview</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xdm-x7">
-        <term><command>xdm</command></term>
-        <listitem>
-          <para>is the X Display Manager with support for XDMCP and a host
-          chooser.</para>
-          <indexterm zone="xorg7-app xdm-x7">
-            <primary sortas="b-xdm">xdm</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xdmshell-x7">
-        <term><command>xdmshell</command></term>
-        <listitem>
-          <para>is a simple program for running xdm from login.</para>
-          <indexterm zone="xorg7-app xdmshell-x7">
-            <primary sortas="b-xdmshell">xdmshell</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xdpr-x7">
         <term><command>xdpr</command></term>
@@ -683,14 +382,4 @@
       </varlistentry>
 
-      <varlistentry id="xedit-x7">
-        <term><command>xedit</command></term>
-        <listitem>
-          <para>is a simple text editor for X.</para>
-          <indexterm zone="xorg7-app xedit-x7">
-            <primary sortas="b-xedit">xedit</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xev-x7">
         <term><command>xev</command></term>
@@ -702,74 +391,4 @@
         </listitem>
       </varlistentry>
-
-      <varlistentry id="xeyes-x7">
-        <term><command>xeyes</command></term>
-        <listitem>
-          <para>is a a follow the mouse X demo.</para>
-          <indexterm zone="xorg7-app xeyes-x7">
-            <primary sortas="b-xeyes">xeyes</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xfd-x7">
-        <term><command>xfd</command></term>
-        <listitem>
-          <para>displays all the characters in an X font.</para>
-          <indexterm zone="xorg7-app xfd-x7">
-            <primary sortas="b-xfd">xfd</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-<!--      <varlistentry id="xfindproxy-x7">
-        <term><command>xfindproxy</command></term>
-        <listitem>
-          <para>locates proxy services.</para>
-          <indexterm zone="xorg7-app xfindproxy-x7">
-            <primary sortas="b-xfindproxy">xfindproxy</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry> -->
-
-      <varlistentry id="xfontsel-x7">
-        <term><command>xfontsel</command></term>
-        <listitem>
-          <para>provides point and click selection of X11 font names.</para>
-          <indexterm zone="xorg7-app xfontsel-x7">
-            <primary sortas="b-xfontsel">xfontsel</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xfs-x7">
-        <term><command>xfs</command></term>
-        <listitem>
-          <para>is the X font server.</para>
-          <indexterm zone="xorg7-app xfs-x7">
-            <primary sortas="b-xfs">xfs</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xfsinfo-x7">
-        <term><command>xfsinfo</command></term>
-        <listitem>
-          <para>is the X font server information utility.</para>
-          <indexterm zone="xorg7-app xfsinfo-x7">
-            <primary sortas="b-xfsinfo">xfsinfo</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-<!--      <varlistentry id="xfwp-x7">
-        <term><command>xfwp</command></term>
-        <listitem>
-          <para>is the X firewall proxy.</para>
-          <indexterm zone="xorg7-app xfwp-x7">
-            <primary sortas="b-xfwp">xfwp</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry> -->
 
       <varlistentry id="xgamma-x7">
@@ -784,14 +403,4 @@
       </varlistentry>
 
-      <varlistentry id="xgc-x7">
-        <term><command>xgc</command></term>
-        <listitem>
-          <para>is an X graphics demo.</para>
-          <indexterm zone="xorg7-app xgc-x7">
-            <primary sortas="b-xgc">xgc</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xhost-x7">
         <term><command>xhost</command></term>
@@ -844,14 +453,4 @@
       </varlistentry>
 
-      <varlistentry id="xkbprint-x7">
-        <term><command>xkbprint</command></term>
-        <listitem>
-          <para>prints an XKB keyboard description.</para>
-          <indexterm zone="xorg7-app xkbprint-x7">
-            <primary sortas="b-xkbprint">xkbprint</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xkbvleds-x7">
         <term><command>xkbvleds</command></term>
@@ -884,24 +483,4 @@
       </varlistentry>
 
-      <varlistentry id="xload-x7">
-        <term><command>xload</command></term>
-        <listitem>
-          <para>is a system load average display for X.</para>
-          <indexterm zone="xorg7-app xload-x7">
-            <primary sortas="b-xload">xload</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xlogo-x7">
-        <term><command>xlogo</command></term>
-        <listitem>
-          <para>is the X Window System logo.</para>
-          <indexterm zone="xorg7-app xlogo-x7">
-            <primary sortas="b-xlogo">xlogo</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xlsatoms-x7">
         <term><command>xlsatoms</command></term>
@@ -920,55 +499,4 @@
           <indexterm zone="xorg7-app xlsclients-x7">
             <primary sortas="b-xlsclients">xlsclients</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xlsfonts-x7">
-        <term><command>xlsfonts</command></term>
-        <listitem>
-          <para>is a server font list displayer for X.</para>
-          <indexterm zone="xorg7-app xlsfonts-x7">
-            <primary sortas="b-xlsfonts">xlsfonts</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xmag-x7">
-        <term><command>xmag</command></term>
-        <listitem>
-          <para>magnifies parts of the screen.</para>
-          <indexterm zone="xorg7-app xmag-x7">
-            <primary sortas="b-xmag">xmag</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xman-x7">
-        <term><command>xman</command></term>
-        <listitem>
-          <para>is a manual page display program for the X Window
-          System.</para>
-          <indexterm zone="xorg7-app xman-x7">
-            <primary sortas="b-xman">xman</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xmessage-x7">
-        <term><command>xmessage</command></term>
-        <listitem>
-          <para>displays a message or query in a window.</para>
-          <indexterm zone="xorg7-app xmessage-x7">
-            <primary sortas="b-xmessage">xmessage</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xmh-x7">
-        <term><command>xmh</command></term>
-        <listitem>
-          <para>sends and reads mail with an X interface to MH.</para>
-          <indexterm zone="xorg7-app xmh-x7">
-            <primary sortas="b-xmh">xmh</primary>
           </indexterm>
         </listitem>
@@ -986,44 +514,4 @@
       </varlistentry>
 
-      <varlistentry id="xmore-x7">
-        <term><command>xmore</command></term>
-        <listitem>
-          <para>is a plain text display program for the X Window System.</para>
-          <indexterm zone="xorg7-app xmore-x7">
-            <primary sortas="b-xmore">xmore</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xon-x7">
-        <term><command>xon</command></term>
-        <listitem>
-          <para>starts an X program on a remote machine.</para>
-          <indexterm zone="xorg7-app xon-x7">
-            <primary sortas="b-xon">xon</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xphelloworld-x7">
-        <term><command>xphelloworld</command></term>
-        <listitem>
-          <para>sends a test page to an Xprint printer.</para>
-          <indexterm zone="xorg7-app xphelloworld-x7">
-            <primary sortas="b-xphelloworld">xphelloworld</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xplsprinters-x7">
-        <term><command>xplsprinters</command></term>
-        <listitem>
-          <para>shows a list of Xprint printers and their attributes.</para>
-          <indexterm zone="xorg7-app xplsprinters-x7">
-            <primary sortas="b-xplsprinters">xplsprinters</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xpr-x7">
         <term><command>xpr</command></term>
@@ -1036,14 +524,4 @@
       </varlistentry>
 
-      <varlistentry id="xprehashprinterlist-x7">
-        <term><command>xprehashprinterlist</command></term>
-        <listitem>
-          <para>recomputes the list of available printers.</para>
-          <indexterm zone="xorg7-app xprehashprinterlist-x7">
-            <primary sortas="b-xprehashprinterlist">xprehashprinterlist</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xprop-x7">
         <term><command>xprop</command></term>
@@ -1052,26 +530,4 @@
           <indexterm zone="xorg7-app xprop-x7">
             <primary sortas="b-xprop">xprop</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xpsimplehelloworld-x7">
-        <term><command>xpsimplehelloworld</command></term>
-        <listitem>
-          <para>is a "Hello World"-like Xprint sample utility based on
-          plain X11 rendering calls.</para>
-          <indexterm zone="xorg7-app xpsimplehelloworld-x7">
-            <primary sortas="b-xpsimplehelloworld">xpsimplehelloworld</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xpxthelloworld-x7">
-        <term><command>xpxthelloworld</command></term>
-        <listitem>
-          <para>is a "Hello World"-like Xprint sample utility based on the
-          Xt toolkit.</para>
-          <indexterm zone="xorg7-app xpxthelloworld-x7">
-            <primary sortas="b-xpxthelloworld">xpxthelloworld</primary>
           </indexterm>
         </listitem>
@@ -1109,14 +565,4 @@
       </varlistentry>
 
-<!--      <varlistentry id="xrx-x7">
-        <term><command>xrx</command></term>
-        <listitem>
-          <para>is an RX MIME type helper program.</para>
-          <indexterm zone="xorg7-app xrx-x7">
-            <primary sortas="b-xrx">xrx</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry> -->
-
       <varlistentry id="xset-x7">
         <term><command>xset</command></term>
@@ -1139,14 +585,4 @@
       </varlistentry>
 
-      <varlistentry id="xsetpointer-x7">
-        <term><command>xsetpointer</command></term>
-        <listitem>
-          <para>sets an X Input device as the main pointer.</para>
-          <indexterm zone="xorg7-app xsetpointer-x7">
-            <primary sortas="b-xsetpointer">xsetpointer</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xsetroot-x7">
         <term><command>xsetroot</command></term>
@@ -1159,107 +595,4 @@
       </varlistentry>
 
-      <varlistentry id="xsm-x7">
-        <term><command>xsm</command></term>
-        <listitem>
-          <para>is the X Session Manager.</para>
-          <indexterm zone="xorg7-app xsm-x7">
-            <primary sortas="b-xsm">xsm</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xstdcmap-x7">
-        <term><command>xstdcmap</command></term>
-        <listitem>
-          <para>is the X standard colormap utility.</para>
-          <indexterm zone="xorg7-app xstdcmap-x7">
-            <primary sortas="b-xstdcmap">xstdcmap</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xtrapchar-x7">
-        <term><command>xtrapchar</command></term>
-        <listitem>
-          <para>parses ANSI character sequences to synthesize input events
-          to X Window servers using the XTrap server extension.</para>
-          <indexterm zone="xorg7-app xtrapchar-x7">
-            <primary sortas="b-xtrapchar">xtrapchar</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xtrapin-x7">
-        <term><command>xtrapin</command></term>
-        <listitem>
-          <para>tests the input transport to the XTrap server extension.</para>
-          <indexterm zone="xorg7-app xtrapin-x7">
-            <primary sortas="b-xtrapin">xtrapin</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xtrapinfo-x7">
-        <term><command>xtrapinfo</command></term>
-        <listitem>
-          <para>displays general XTrap configuration information.</para>
-          <indexterm zone="xorg7-app xtrapinfo-x7">
-            <primary sortas="b-xtrapinfo">xtrapinfo</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xtrapout-x7">
-        <term><command>xtrapout</command></term>
-        <listitem>
-          <para>tests  the  output  transport from the XTrap extension to
-          the XTrap client library.</para>
-          <indexterm zone="xorg7-app xtrapout-x7">
-            <primary sortas="b-xtrapout">xtrapout</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xtrapproto-x7">
-        <term><command>xtrapproto</command></term>
-        <listitem>
-          <para>tests the XTrap protocol between a client and server.</para>
-          <indexterm zone="xorg7-app xtrapproto-x7">
-            <primary sortas="b-xtrapproto">xtrapproto</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xtrapreset-x7">
-        <term><command>xtrapreset</command></term>
-        <listitem>
-          <para>queries the XTrap extension.</para>
-          <indexterm zone="xorg7-app xtrapreset-x7">
-            <primary sortas="b-xtrapreset">xtrapreset</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xtrapstats-x7">
-        <term><command>xtrapstats</command></term>
-        <listitem>
-          <para>configures XTrap to collect usage statistics on all core
-          input events  and  requests.</para>
-          <indexterm zone="xorg7-app xtrapstats-x7">
-            <primary sortas="b-xtrapstats">xtrapstats</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xvidtune-x7">
-        <term><command>xvidtune</command></term>
-        <listitem>
-          <para>is the video mode tuner for Xorg.</para>
-          <indexterm zone="xorg7-app xvidtune-x7">
-            <primary sortas="b-xvidtune">xvidtune</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xvinfo-x7">
         <term><command>xvinfo</command></term>
@@ -1302,25 +635,4 @@
       </varlistentry>
 
-<!--      <varlistentry id="libxrx-x7">
-        <term><filename class='libraryfile'>libxrx.{so,a}</filename></term>
-        <listitem>
-          <para>is the RX MIME type Netscape Navigator Plug-in.</para>
-          <indexterm zone="xorg7-lib libxrx-x7">
-            <primary sortas="c-libxrx">libxrx.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libxrxnest-x7">
-        <term><filename class='libraryfile'>libxrxnest.{so,a}</filename></term>
-        <listitem>
-          <para>is the RX MIME type Netscape Navigator Plug-in using
-          Xnest.</para>
-          <indexterm zone="xorg7-lib libxrxnest-x7">
-            <primary sortas="c-libxrxnest">libxrxnest.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry> -->
-
     </variablelist>
 