Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision ee9107e3a22d421ae34e3fbc163d88ce9e3bc5ad)
+++ general/genlib/genlib.xml	(revision 3361e195460fb68715e6440fd128f71f4369069f)
@@ -63,4 +63,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="glibmm.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gmime.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gmime3.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gobject-introspection.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="grantlee.xml"/>
Index: general/genlib/gmime3.xml
===================================================================
--- general/genlib/gmime3.xml	(revision 3361e195460fb68715e6440fd128f71f4369069f)
+++ general/genlib/gmime3.xml	(revision 3361e195460fb68715e6440fd128f71f4369069f)
@@ -0,0 +1,185 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gmime3-download-http "&gnome-download-http;/gmime/3.0/gmime-&gmime3-version;.tar.xz">
+  <!ENTITY gmime3-download-ftp  "&gnome-download-ftp;/gmime/3.0/gmime-&gmime3-version;.tar.xz">
+  <!ENTITY gmime3-md5sum        "a316c70bef6045fcde935636c06d01ba">
+  <!ENTITY gmime3-size          "740 KB">
+  <!ENTITY gmime3-buildsize     "24 MB (an additional 1 MB for tests)">
+  <!ENTITY gmime3-time          "0.2 SBU (less than 0.1 SBU additional for tests)">
+]>
+
+<sect1 id="gmime3" xreflabel="GMime-&gmime3-version;">
+  <?dbhtml filename="gmime3.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>GMime-&gmime3-version;</title>
+
+  <indexterm zone="gmime">
+    <primary sortas="a-GMime">GMime</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GMime</title>
+
+    <para>
+      The <application>GMime</application> package contains a set of
+      utilities for parsing and creating messages using the Multipurpose
+      Internet Mail Extension (MIME) as defined by the applicable RFCs. See the
+      <ulink url="http://spruce.sourceforge.net/gmime/">GMime web site</ulink>
+      for the RFCs resourced. This is useful as it provides an API which adheres
+      to the MIME specification as closely as possible while also providing
+      programmers with an extremely easy to use interface to the API functions.
+    </para>
+
+    &lfs81_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gmime3-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gmime3-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gmime3-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gmime3-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gmime3-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gmime3-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GMime Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="glib2"/> and
+      <xref linkend="libgpg-error"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/>,
+      <xref linkend="libidn"/>,  and
+      <xref linkend="vala"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="docbook-utils"/>,
+      <xref linkend="gpgme"/>,
+      <xref linkend="gtk-doc"/> and
+      <ulink url="http://download.mono-project.com/sources/gtk-sharp/">Gtk#</ulink> (requires
+      <ulink url="http://www.mono-project.com/Main_Page">Mono</ulink>)
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/gmime"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GMime</title>
+
+    <para>
+      Install <application>GMime</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libgmime-3.0.so
+        </seg>
+        <seg>
+          /usr/include/gmime-3.0 and
+          /usr/share/gtk-doc/html/gmime-3.0
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libgmime-3">
+        <term><filename class="libraryfile">libgmime-3.0.so</filename></term>
+        <listitem>
+          <para>
+            contains API functions used by programs that need to comply to
+            the MIME standards.
+          </para>
+          <indexterm zone="gmime libgmime-3">
+            <primary sortas="c-libgmime-3">libgmime-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>