Index: lxqt/desktop/desktop.xml
===================================================================
--- lxqt/desktop/desktop.xml	(revision a5c252dccf301e4617686ff17d7ef2aa01ff630c)
+++ lxqt/desktop/desktop.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -41,6 +41,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libsysstat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libqtxdg.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-kwindowsystem.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="liblxqt.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-globalkeys.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-kguiaddons.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-solid.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-panel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pcmanfm-qt.xml"/>
@@ -48,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-policykit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-powermanagement.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-libkscreen.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxqt-about.xml"/>
Index: lxqt/desktop/liblxqt.xml
===================================================================
--- lxqt/desktop/liblxqt.xml	(revision a5c252dccf301e4617686ff17d7ef2aa01ff630c)
+++ lxqt/desktop/liblxqt.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -73,15 +73,9 @@
     <bridgehead renderas="sect3">liblxqt Dependencies</bridgehead>
 
-    <note>
-      <para>
-        You do not need all <xref linkend="kf5-frameworks"/>, just the named
-        library and dependencies.
-      </para>
-    </note>
-
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      kwindowsystem, from <xref linkend="kf5-frameworks"/> and
-      <xref linkend="libqtxdg"/>
+      <xref linkend="libqtxdg"/> and
+      (<xref linkend="lxqt-kwindowsystem"/> or
+      <xref linkend="kf5-frameworks"/>)
     </para>
 
@@ -102,11 +96,9 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
       -DCMAKE_INSTALL_LIBDIR=lib          \
-      ..       &amp;&amp;
-
+      ..                                  &amp;&amp;
 make</userinput></screen>
-
 
     <para>
Index: lxqt/desktop/lxqt-config.xml
===================================================================
--- lxqt/desktop/lxqt-config.xml	(revision a5c252dccf301e4617686ff17d7ef2aa01ff630c)
+++ lxqt/desktop/lxqt-config.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -73,15 +73,9 @@
     <bridgehead renderas="sect3">lxqt-config Dependencies</bridgehead>
 
-    <note>
-      <para>
-        You do not need all <xref linkend="plasma5-build"/>, just the named
-        library and dependencies.
-      </para>
-    </note>
-
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      libkscreen from <xref linkend="plasma5-build"/> and
-      <xref linkend="liblxqt"/>
+      <xref linkend="liblxqt"/> and 
+      (<xref linkend="lxqt-libkscreen"/> or
+      <xref linkend="plasma5-build"/>)
     </para>
 
@@ -102,7 +96,7 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
-      ..       &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
+      ..                                  &amp;&amp;
 
 make</userinput></screen>
Index: lxqt/desktop/lxqt-kguiaddons.xml
===================================================================
--- lxqt/desktop/lxqt-kguiaddons.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
+++ lxqt/desktop/lxqt-kguiaddons.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -0,0 +1,164 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY kguiaddons-download-http "&kf5-download-http;/kguiaddons-&kf5-version;.tar.xz">
+  <!ENTITY kguiaddons-download-ftp  " ">
+  <!ENTITY kguiaddons-md5sum        "b423159cec98dbac442bdb88e1daeda4">
+  <!ENTITY kguiaddons-size          "40 KB">
+  <!ENTITY kguiaddons-buildsize     "2.2 MB">
+  <!ENTITY kguiaddons-time          "0.2 SBU">
+]>
+
+<sect1 id="lxqt-kguiaddons" xreflabel="kguiaddons-&kf5-version; for lxqt">
+  <?dbhtml filename="lxqt-kguiaddons.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: pierre $</othername>
+    <date>$Date: 2016-03-05 12:01:52 -0600 (Sat, 05 Mar 2016) $</date>
+  </sect1info>
+
+  <title>Kguiaddons-&kf5-version; for lxqt</title>
+
+  <indexterm zone="lxqt-kguiaddons">
+    <primary sortas="a-kguiaddons">kguiaddons</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to kguiaddons</title>
+
+    <para>
+      The KDE GUI addons provide utilities for graphical user interfaces in the
+      areas of colors, fonts, text, images, and keyboard input.
+    </para>
+
+    &lfs79_checked;
+
+    <note><para>This packge is extracted from the KF5 set of packages.  If
+    <xref linkend="kf5-frameworks"/> is built, do NOT also build this package 
+    as prsented here.</para></note>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&kguiaddons-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&kguiaddons-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &kguiaddons-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &kguiaddons-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &kguiaddons-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &kguiaddons-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Kguiaddons Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="extra-cmake-modules"/>,
+      <xref linkend="xorg7-lib"/>, and 
+      <xref linkend="qt5"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/liblxqt"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of liblxqt</title>
+
+    <para>
+      Install <application>liblxqt</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>mkdir -v build &amp;&amp;
+cd       build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
+      -DBUILD_TESTING=OFF                 \
+      -Wno-dev ..                         &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libKF5GuiAddons.so
+        </seg>
+        <seg>
+          $LXQT_PREFIX/lib/cmake/KF5GuiAddons and  
+          $LXQT_PREFIX/include/KF5/KGuiAddons
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="lxqt-kguiaddons-lib">
+        <term><filename class="libraryfile">libKF5GuiAddons.so</filename></term>
+        <listitem>
+          <para>
+            contains KDE GUI utilities for graphical user interfaces.
+          </para>
+          <indexterm zone="lxqt-kguiaddons-lib">
+            <primary sortas="c-libKF5WindowSystem">libKF5GuiAddons.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: lxqt/desktop/lxqt-kwindowsystem.xml
===================================================================
--- lxqt/desktop/lxqt-kwindowsystem.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
+++ lxqt/desktop/lxqt-kwindowsystem.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -0,0 +1,167 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY kwindowsystem-download-http "&kf5-download-http;/kwindowsystem-&kf5-version;.tar.xz">
+  <!ENTITY kwindowsystem-download-ftp  " ">
+  <!ENTITY kwindowsystem-md5sum        "5e4a9cbe3d4217062c8656833db641f8">
+  <!ENTITY kwindowsystem-size          "160 KB">
+  <!ENTITY kwindowsystem-buildsize     "12.3 MB">
+  <!ENTITY kwindowsystem-time          "0.4 SBU">
+]>
+
+<sect1 id="lxqt-kwindowsystem" xreflabel="kwindowsystem-&kf5-version; for lxqt">
+  <?dbhtml filename="lxqt-kwindowsystem.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: pierre $</othername>
+    <date>$Date: 2016-03-05 12:01:52 -0600 (Sat, 05 Mar 2016) $</date>
+  </sect1info>
+
+  <title>Kwindowsystem-&kf5-version; for lxqt</title>
+
+  <indexterm zone="lxqt-kwindowsystem">
+    <primary sortas="a-kwindowsystem">kwindowsystem</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to kwindowsystem</title>
+
+    <para>
+      The <application>kwindowsystem</application> provides information about,
+      and allows interaction with, the windowing system. It provides a high
+      level API that is windowing system independent and has platform specific
+      implementations.
+    </para>
+
+    &lfs79_checked;
+
+    <note><para>This packge is extracted from the KF5 set of packages.  If
+    <xref linkend="kf5-frameworks"/> is built, do NOT also build this package 
+    as prsented here.</para></note>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&kwindowsystem-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&kwindowsystem-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &kwindowsystem-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &kwindowsystem-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &kwindowsystem-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &kwindowsystem-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Kwindowsystem Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="extra-cmake-modules"/>,
+      <xref linkend="xorg7-lib"/>, and 
+      <xref linkend="qt5"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/liblxqt"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of liblxqt</title>
+
+    <para>
+      Install <application>liblxqt</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>mkdir -v build &amp;&amp;
+cd       build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
+      -DBUILD_TESTING=OFF                 \
+      -Wno-dev ..                         &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libKF5WindowSystem.so
+        </seg>
+        <seg>
+          $LXQT_PREFIX/lib/cmake/KF5WindowSystem, 
+          $LXQT_PREFIX/include/KF5, and
+          $LXQT_PREFIX/lib/plugins/kf5
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="lxqt-kwindowsystem-lib">
+        <term><filename class="libraryfile">libKF5WindowSystem.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>KF5 Windowing</application> API functions.
+          </para>
+          <indexterm zone="lxqt-kwindowsystem-lib">
+            <primary sortas="c-libKF5WindowSystem">libKF5WindowSystem.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: lxqt/desktop/lxqt-libkscreen.xml
===================================================================
--- lxqt/desktop/lxqt-libkscreen.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
+++ lxqt/desktop/lxqt-libkscreen.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -0,0 +1,166 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libkscreen-download-http "http://download.kde.org/stable/plasma/&plasma5-version;/libkscreen-&plasma5-version;.tar.xz">
+  <!ENTITY libkscreen-download-ftp  " ">
+  <!ENTITY libkscreen-md5sum        "bc23b108f5e5dccdc03183e4b72c354d">
+  <!ENTITY libkscreen-size          "72 KB">
+  <!ENTITY libkscreen-buildsize     "8.9 MB">
+  <!ENTITY libkscreen-time          "0.7 SBU">
+]>
+
+<sect1 id="lxqt-libkscreen" xreflabel="libkscreen-&plasma5-version; for lxqt">
+  <?dbhtml filename="lxqt-libkscreen.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: pierre $</othername>
+    <date>$Date: 2016-03-05 12:01:52 -0600 (Sat, 05 Mar 2016) $</date>
+  </sect1info>
+
+  <title>Libkscreen-&plasma5-version; for lxqt</title>
+
+  <indexterm zone="lxqt-libkscreen">
+    <primary sortas="a-libkscreen">libkscreen</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libkscreen</title>
+
+    <para>
+      The <application>Libkscreen</application> package contains the 
+      KDE Screen Management library. 
+    </para>
+
+    &lfs79_checked;
+
+    <note><para>This packge is extracted from the KDE Plasma set of packages.  If
+    <xref linkend="plasma5-build"/> is built, do NOT also build this package 
+    as prsented here.</para></note>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libkscreen-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libkscreen-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libkscreen-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libkscreen-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libkscreen-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libkscreen-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Libkscreen Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="extra-cmake-modules"/>,
+      <xref linkend="xorg7-lib"/>, and
+      <xref linkend="qt5"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/liblxqt"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of liblxqt</title>
+
+    <para>
+      Install <application>liblxqt</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>mkdir -v build &amp;&amp;
+cd       build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
+      -DBUILD_TESTING=OFF                 \
+      -Wno-dev ..                         &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libKF5Screen.so
+        </seg>
+        <seg>
+          $LXQT_PREFIX/lib/cmake/KF5ScreenConfig, 
+          $LXQT_PREFIX/lib/libexec/kf5,
+          $LXQT_PREFIX/include/KF5/KScreen, and
+          $LXQT_PREFIX/lib/plugins/kf5/kscreen
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="lxqt-libkscreen-lib">
+        <term><filename class="libraryfile">libKF5Screen.so</filename></term>
+        <listitem>
+          <para>
+            contains the KDE Screen Management library 
+          </para>
+          <indexterm zone="lxqt-libkscreen-lib">
+            <primary sortas="c-libKF5Screen">libKF5Screen.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: lxqt/desktop/lxqt-panel.xml
===================================================================
--- lxqt/desktop/lxqt-panel.xml	(revision a5c252dccf301e4617686ff17d7ef2aa01ff630c)
+++ lxqt/desktop/lxqt-panel.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -75,6 +75,7 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      kguiaddons and solid, both from
-      <xref linkend="kf5-frameworks"/> (keyboard indicator plugin),
+      <xref linkend="kf5-frameworks"/> or 
+      (<xref linkend="lxqt-kguiaddons"/> and 
+       <xref linkend="lxqt-solid"/>) (keyboard indicator plugin),     
       <xref linkend="lxqt-globalkeys"/>,
       <xref linkend="libdbusmenu-qt"/> (built against Qt5),
@@ -84,11 +85,4 @@
       <xref linkend="menu-cache"/>
     </para>
-
-    <note>
-      <para>
-        You do not need all <xref linkend="kf5-frameworks"/>, just the named
-        library and dependencies.
-      </para>
-    </note>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
@@ -120,9 +114,8 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
       -DCMAKE_INSTALL_LIBDIR=lib          \
-      ..       &amp;&amp;
-
+      ..                                  &amp;&amp;
 make</userinput></screen>
 
Index: lxqt/desktop/lxqt-policykit.xml
===================================================================
--- lxqt/desktop/lxqt-policykit.xml	(revision a5c252dccf301e4617686ff17d7ef2aa01ff630c)
+++ lxqt/desktop/lxqt-policykit.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -73,16 +73,10 @@
     <bridgehead renderas="sect3">lxqt-policykit Dependencies</bridgehead>
 
-    <note>
-      <para>
-        You do not need all <xref linkend="kf5-frameworks"/>, just the named
-        library and dependencies.
-      </para>
-    </note>
-
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      kwindowsystem, from <xref linkend="kf5-frameworks"/>,
-      <xref linkend="liblxqt"/> and
-      <xref linkend="polkit-qt"/> (Qt5)
+      <xref linkend="liblxqt"/>,
+      <xref linkend="polkit-qt"/> (Qt5), and 
+      (<xref linkend="lxqt-kwindowsystem"/> or 
+      <xref linkend="kf5-frameworks"/>)
     </para>
 
@@ -103,7 +97,7 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
-      ..       &amp;&amp;
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
+      ..                                  &amp;&amp;
 
 make</userinput></screen>
Index: lxqt/desktop/lxqt-powermanagement.xml
===================================================================
--- lxqt/desktop/lxqt-powermanagement.xml	(revision a5c252dccf301e4617686ff17d7ef2aa01ff630c)
+++ lxqt/desktop/lxqt-powermanagement.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -98,6 +98,6 @@
 cd       build &amp;&amp;
 
-cmake -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
       ..       &amp;&amp;
 
Index: lxqt/desktop/lxqt-runner.xml
===================================================================
--- lxqt/desktop/lxqt-runner.xml	(revision a5c252dccf301e4617686ff17d7ef2aa01ff630c)
+++ lxqt/desktop/lxqt-runner.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -75,8 +75,9 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      kwindowsystem, from <xref linkend="kf5-frameworks"/>,
       <xref linkend="lxqt-common"/>,
-      <xref linkend="lxqt-globalkeys"/> and
-      <xref linkend="menu-cache"/>
+      <xref linkend="lxqt-globalkeys"/>,
+      <xref linkend="menu-cache"/>, and
+      (<xref linkend="lxqt-kwindowsystem"/> or
+       <xref linkend="kf5-frameworks"/>)
     </para>
 
Index: lxqt/desktop/lxqt-solid.xml
===================================================================
--- lxqt/desktop/lxqt-solid.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
+++ lxqt/desktop/lxqt-solid.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -0,0 +1,172 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY solid-download-http "&kf5-download-http;/solid-&kf5-version;.tar.xz">
+  <!ENTITY solid-download-ftp  " ">
+  <!ENTITY solid-md5sum        "d664fa2d968c6d6a273881e90f749c7e">
+  <!ENTITY solid-size          "264 KB">
+  <!ENTITY solid-buildsize     "29 MB">
+  <!ENTITY solid-time          "2.3 SBU">
+]>
+
+<sect1 id="lxqt-solid" xreflabel="solid-&kf5-version; for lxqt">
+  <?dbhtml filename="lxqt-solid.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: pierre $</othername>
+    <date>$Date: 2016-03-05 12:01:52 -0600 (Sat, 05 Mar 2016) $</date>
+  </sect1info>
+
+  <title>Solid-&kf5-version; for lxqt</title>
+
+  <indexterm zone="lxqt-solid">
+    <primary sortas="a-solid">solid</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to solid</title>
+
+    <para>
+      <application>Solid</application> is a device integration framework.  It
+      provides a way of querying and interacting with hardware independently of
+      the underlying operating system.
+    </para>
+
+    &lfs79_checked;
+
+    <note><para>This packge is extracted from the KF5 set of packages.  If
+    <xref linkend="kf5-frameworks"/> is built, do NOT also build this package 
+    as prsented here.</para></note>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&solid-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&solid-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &solid-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &solid-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &solid-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &solid-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Solid Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="extra-cmake-modules"/> and
+      <xref linkend="qt5"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional (runtime)</bridgehead>
+    <para role="optional">
+      <ulink url="http://www.freedesktop.org/wiki/Software/media-player-info">
+      media-player-info</ulink> 
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/liblxqt"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of liblxqt</title>
+
+    <para>
+      Install <application>liblxqt</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>mkdir -v build &amp;&amp;
+cd       build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
+      -DCMAKE_BUILD_TYPE=Release          \
+      -DCMAKE_INSTALL_LIBDIR=lib          \
+      -DBUILD_TESTING=OFF                 \
+      -Wno-dev ..                         &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          solid-hardware5
+        </seg>
+        <seg>
+          libKF5Solid.so and libsolidextensionplugin.so
+        </seg>
+        <seg>
+          $LXQT_PREFIX/lib/cmake/KF5Solid, 
+          $LXQT_PREFIX/include/KF5/Solid, and
+          $LXQT_PREFIX/lib/qml/org/kde/solid
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="lxqt-solid-lib">
+        <term><filename class="libraryfile">libKF5Solid.so</filename></term>
+        <listitem>
+          <para>
+            provides a way of querying and interacting with hardware
+            independently of the underlying operating system.
+          </para>
+          <indexterm zone="lxqt-solid-lib">
+            <primary sortas="c-libKF5Solid">libKF5solid.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: lxqt/desktop/pre-install.xml
===================================================================
--- lxqt/desktop/pre-install.xml	(revision a5c252dccf301e4617686ff17d7ef2aa01ff630c)
+++ lxqt/desktop/pre-install.xml	(revision 3368ef44e81bec2ab0a7e14d9ec37eca0be27ada)
@@ -19,4 +19,11 @@
     <primary sortas="g-lxqt-pre-install">LXQt Pre-Install</primary>
    </indexterm>
+
+    <caution><para>Due to recent changes in <command>grep</command> it is
+    essential that the installing system be set to a UTF-8 locale.  An example
+    is <command>export LANG=en_US.utf8</command>, but any UTF-8 locale is
+    sufficient.  Failure to do this will result in a faulty
+    installation.</para></caution>
+
     <para>
       LXQt can be installed in /usr or /opt/lxqt.