Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ introduction/welcome/changelog.xml	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -43,4 +43,10 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to gstreamer-1.22.0 stack. Includes
+          gst-plugins-base, gst-plugins-good, gst-plugins-bad, 
+          gst-plugins-ugly, gst-libav, and gstreamer-vaapi.  Fixes
+          <ulink url="&blfs-ticket-root;17555">#17555</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to doxyqml-0.5.2 (Python Module). Fixes
           <ulink url="&blfs-ticket-root;17561">#17561</ulink>.</para>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ multimedia/libdriv/gst10-libav.xml	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -7,8 +7,8 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "4a6d6dc9b8a68cae404c8d211f0905e2">
-  <!ENTITY gst10-libav-size          "288 KB">
-  <!ENTITY gst10-libav-buildsize     "14 MB (with tests)">
-  <!ENTITY gst10-libav-time          "less than 0.1 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gst10-libav-md5sum        "a2165c56301906c50dcc9245d535df45">
+  <!ENTITY gst10-libav-size          "188 KB">
+  <!ENTITY gst10-libav-buildsize     "8.9 MB">
+  <!ENTITY gst10-libav-time          "less than 0.1 SBU">
 ]>
 
@@ -111,5 +111,6 @@
 
     <para>
-      To test the results, issue: <command>ninja test</command>. 
+      The tests are not recommended.  Test 6 of 6 times out after 3 minutes.
+      To run the tests anyway, issue: <command>ninja test</command>. 
     </para>
 
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "142bd94df6f9c3705054c7cd71a59987">
-  <!ENTITY gst10-plugins-bad-size          "5.9 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "151 MB (with tests)">
-  <!ENTITY gst10-plugins-bad-time          "1.0 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gst10-plugins-bad-md5sum        "6c4df68e7d32e2ae6a682b7dbc22e35a">
+  <!ENTITY gst10-plugins-bad-size          "5.2 MB">
+  <!ENTITY gst10-plugins-bad-buildsize     "162 MB (with tests)">
+  <!ENTITY gst10-plugins-bad-time          "1.1 SBU (Using parallelism=4; with tests)">
 ]>
 
@@ -198,7 +198,7 @@
     <para>
       To test the results, issue: <command>ninja test</command>. Several tests
-      need a terminal emulator in a graphical session. One test,
-      <emphasis>elements_vapostproc</emphasis> is known to fail.
-      <!--https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1243-->
+      need a terminal emulator in a graphical session. two tests,
+      <emphasis>elements_vapostproc</emphasis> and
+      <emphasis>elements_vacompositor</emphasis> are known to fail.
     </para>
 
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "b6f7b3b2a65e6e7e5615ee63f57ac146">
-  <!ENTITY gst10-plugins-base-size          "3.2 MB">
-  <!ENTITY gst10-plugins-base-buildsize     "91 MB (with tests)">
+  <!ENTITY gst10-plugins-base-md5sum        "c559f23bb746bda732e85ba7b76c2074">
+  <!ENTITY gst10-plugins-base-size          "2.0 MB">
+  <!ENTITY gst10-plugins-base-buildsize     "86 MB (with tests)">
   <!ENTITY gst10-plugins-base-time          "0.8 SBU (Using parallelism=4; with tests)">
 ]>
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "63e55373d026497a486dabb1f5bf5abb">
-  <!ENTITY gst10-plugins-good-size          "3.3 MB">
-  <!ENTITY gst10-plugins-good-buildsize     "102 MB (with tests)">
+  <!ENTITY gst10-plugins-good-md5sum        "4034320097501bccb2272a52874caaea">
+  <!ENTITY gst10-plugins-good-size          "2.7 MB">
+  <!ENTITY gst10-plugins-good-buildsize     "105 MB (with tests)">
   <!ENTITY gst10-plugins-good-time          "0.6 SBU (Using parallelism=4; with tests)">
 ]>
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "a1e665c39d446cfdf69190b3397c76da">
-  <!ENTITY gst10-plugins-ugly-size          "504 KB">
-  <!ENTITY gst10-plugins-ugly-buildsize     "11 MB (with tests)">
+  <!ENTITY gst10-plugins-ugly-md5sum        "ac97c1ca8d9c7a9878ca15796b70d809">
+  <!ENTITY gst10-plugins-ugly-size          "236 KB">
+  <!ENTITY gst10-plugins-ugly-buildsize     "8.4 MB (with tests)">
   <!ENTITY gst10-plugins-ugly-time          "less than 0.1 SBU (with tests)">
 ]>
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -7,7 +7,7 @@
   <!ENTITY gstreamer10-vaapi-download-http "&gstreamer-dl;/gstreamer-vaapi/gstreamer-vaapi-&gstreamer-vaapi-version;.tar.xz">
   <!ENTITY gstreamer10-vaapi-download-ftp  " ">
-  <!ENTITY gstreamer10-vaapi-md5sum        "5d3b1840a6c0a27f3f3e75bfdec9d0b4">
-  <!ENTITY gstreamer10-vaapi-size          "784 KB">
-  <!ENTITY gstreamer10-vaapi-buildsize     "15 MB">
+  <!ENTITY gstreamer10-vaapi-md5sum        "49857ccda7c14cbb64769a60058708f9">
+  <!ENTITY gstreamer10-vaapi-size          "516 KB">
+  <!ENTITY gstreamer10-vaapi-buildsize     "12 MB">
   <!ENTITY gstreamer10-vaapi-time          "0.2 SBU">
 ]>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ multimedia/libdriv/gstreamer10.xml	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -7,7 +7,7 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "5e7669974dabe5e2481a8a37256b573e">
-  <!ENTITY gstreamer10-size          "2.6 MB">
-  <!ENTITY gstreamer10-buildsize     "51 MB (with tests)">
+  <!ENTITY gstreamer10-md5sum        "fb69587308e03e15c1b9a026a7b591d6">
+  <!ENTITY gstreamer10-size          "1.7 MB">
+  <!ENTITY gstreamer10-buildsize     "46 MB (with tests)">
   <!ENTITY gstreamer10-time          "0.3 SBU (Using parallelism=4; with tests)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 9dfe7f236ff5a9e3f7bab11a53726a6de12de114)
+++ packages.ent	(revision 3389fc3151ab710969742bf72e22a96d8974b5ff)
@@ -943,11 +943,11 @@
 <!ENTITY frei0r-version               "1.8.0">
 <!ENTITY gavl-version                 "1.4.0">
-<!ENTITY gstreamer10-version          "1.20.5">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.20.5">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.20.5">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.20.5">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.20.5">  <!-- Even minors only -->
-<!ENTITY gst10-libav-version          "1.20.5">  <!-- Even minors only -->
-<!ENTITY gstreamer-vaapi-version      "1.20.5">  <!-- Even minors only -->
+<!ENTITY gstreamer10-version          "1.22.0">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-base-version   "1.22.0">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-good-version   "1.22.0">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-bad-version    "1.22.0">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-ugly-version   "1.22.0">  <!-- Even minors only -->
+<!ENTITY gst10-libav-version          "1.22.0">  <!-- Even minors only -->
+<!ENTITY gstreamer-vaapi-version      "1.22.0">  <!-- Even minors only -->
 <!ENTITY id3lib-version               "3.8.3">
 <!ENTITY liba52-version               "0.7.4">