Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision cdb1b4bbe266e3f7b090909c80185e822f64336a)
+++ gnome/add/add.xml	(revision 3491d06f02aceb9b91ae6041550c5a3f6c0c8e97)
@@ -23,5 +23,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dummy-libraries.xml"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="evolution-data-server.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gtkhtml.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gtksourceview.xml"/>
Index: gnome/add/evolution-data-server.xml
===================================================================
--- gnome/add/evolution-data-server.xml	(revision cdb1b4bbe266e3f7b090909c80185e822f64336a)
+++ 	(revision )
@@ -1,233 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY evolution-data-server-download-http "&gnome-download-http;/evolution-data-server/&gnome-version;/evolution-data-server-&evolution-data-server-version;.tar.bz2">
-  <!ENTITY evolution-data-server-download-ftp  "&gnome-download-ftp;/evolution-data-server/&gnome-version;/evolution-data-server-&evolution-data-server-version;.tar.bz2">
-  <!ENTITY evolution-data-server-md5sum        "826d85fc6e088156154ae0c543454d7f">
-  <!ENTITY evolution-data-server-size          "4.4 MB">
-  <!ENTITY evolution-data-server-buildsize     "127 MB">
-  <!ENTITY evolution-data-server-time          "2.0 SBU">
-]>
-
-<sect1 id="evolution-data-server"
-xreflabel="Evolution Data Server-&evolution-data-server-version;">
-  <?dbhtml filename="evolution-data-server.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Evolution Data Server-&evolution-data-server-version;</title>
-
-  <indexterm zone="evolution-data-server">
-    <primary sortas="a-Evolution-Data-Server">Evolution Data Server</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Evolution Data Server</title>
-
-    <para>The <application>Evolution Data Server</application> package provides
-    a unified backend for programs that work with contacts, tasks, and calendar
-    information. It was originally developed for
-    <application>Evolution</application> (hence the name), but is now used by
-    other packages as well.</para>
-
-    &lfs65_built;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&evolution-data-server-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&evolution-data-server-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &evolution-data-server-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &evolution-data-server-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &evolution-data-server-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &evolution-data-server-time;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Evolution Data Server Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="db"/>,
-    <xref linkend="GConf"/>,
-    <xref linkend="gperf"/>,
-    <xref linkend="intltool"/>,
-    <xref linkend="libical"/>,
-    <xref linkend="libsoup"/>,
-    <xref linkend="nss"/>, and
-    <xref linkend="sqlite"/></para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="libgnome-keyring"/>,
-    <xref linkend="libgweather"/>, and
-    <xref linkend="openssl"/></para>
-
-    <para>The <application>NSS</application> package is not required if you have
-    <xref linkend="firefox"/>, <xref linkend="thunderbird"/>, or <xref
-    linkend="seamonkey"/> installed. These packages contain internal copies of
-    <application>NSS</application> (or they used a system-installed copy).  If
-    any of the three packages are installed, one way or another you will already
-    have NSS/NSPR libraries on your system.</para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="gtk-doc"/>,
-    <xref linkend="heimdal"/> or <xref linkend="mitkrb"/>,
-    a <xref linkend="server-mail"/> (that provides a <command>sendmail</command> command), and
-    <xref linkend="openldap"/></para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/evolution-data-server"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Evolution Data Server</title>
-
-    <para>Install <application>Evolution Data Server</application> by running
-    the following commands:</para>
-
-<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
-            --libexecdir=$(pkg-config --variable=prefix \
-                ORBit-2.0)/lib/evolution-data-server-1.2 \
-            --enable-nntp \
-            --enable-gnome-keyring \
-            --enable-smime \
-            --with-nspr-includes=/usr/include/nspr \
-            --with-nss-includes=/usr/include/nss &amp;&amp;
-make</userinput></screen>
-
-    <para>To test the results, issue: <command>make -k check</command>. Some
-    tests are known to fail, however most should pass.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-prefix.xml"/>
-
-    <para><parameter>--libexecdir=$(pkg-config --variable=prefix
-    ORBit-2.0)/lib/evolution-data-server-1.2</parameter>: This parameter causes
-    the libexec files to be installed in the preferred location of
-    <filename
-    class="directory">$GNOME_PREFIX/lib/evolution-data-server-1.2</filename>
-    instead of <filename
-    class="directory">$GNOME_PREFIX/libexec</filename>.</para>
-
-    <para><parameter>--enable-nntp</parameter>: This parameter is used to build
-    the Usenet news (NNTP) backend.</para>
-
-    <para><parameter>--enable-gnome-keyring</parameter>: This parameter is used
-    so that passwords are stored using the
-    <application>gnome-keyring</application> storage manager.</para>
-
-    <para><parameter>--enable-smime</parameter>: This parameter is used to pull
-    in the Mozilla Network Security Services libraries for S/MIME
-    support.</para>
-
-    <para><parameter>--with-nspr-includes=/usr/include/nspr</parameter>: This
-    parameter specifies the location of the <application>NSPR</application>
-    header files.</para>
-
-    <para><parameter>--with-nss-includes=/usr/include/nss</parameter>: This
-    parameter specifies the location of the <application>NSS</application>
-    header files.</para>
-
-    <para><option>--without-weather</option>: Use this option to disable the
-    weather calendar backend and is required if
-    <application>libgweather</application> is not installed.</para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/>
-
-    <!--
-    <para><parameter>-with-{nspr,nss}-includes</parameter>: This parameter is
-    used to identify where the Mozilla Network Security Services interface
-    headers are located. By default,
-    <application>Evolution Data Server</application> uses
-    <filename>mozilla-{nss,nspr}.pc</filename> files to locate the headers
-    and chances are you will not have <application>Mozilla</application>
-    installed.</para>
-    -->
-
-    <note>
-      <para>To enable many of the optional dependencies, review the information
-      from <command>./configure --help</command> for the necessary parameters
-      you must pass to the <command>configure</command> script.</para>
-    </note>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>camel-index-control-1.2, camel-lock-helper-1.2,
-        e-addressbook-factory, and e-calendar-factory</seg>
-        <seg>libebookbackendfile.so, libebookbackendgoogle.so,
-        libebookbackendgroupwise.so, libebookbackendvcf.so,
-        libebookbackendwebdav.so, libecalbackendcaldav.so,
-        libecalbackendcontacts.so, libecalbackendfile.so,
-        libecalbackendgoogle.so, libecalbackendgroupwise.so,
-        libecalbackendhttp.so, libecalbackendweather.so, libcamel-1.2.so,
-        libcamel-provider-1.2.so, libebackend-1.2.so, libebook-1.2.so,
-        libecal-1.2.so, libedata-book-1.2.so, libedata-cal-1.2.so,
-        libedataserver-1.2.so, libedataserverui-1.2.so, libegroupwise-1.2.so,
-        libgdata-1.2.so, and libgdata-google-1.2.so</seg>
-        <seg><envar>$GNOME_PREFIX</envar>/{include/evolution-data-server-&gnome-version;/{camel,
-        google/libgdata-google,groupwise,libebackend,libebook,libecal,
-        libedata-book,libedata-cal,libedataserverui},
-        lib/evolution-data-server-1.2/{camel-providers,extensions},
-        share/{evolution-data-server-&gnome-version;/{ui,weather},
-        gtk-doc/html/{camel,libebackend,libebook,libecal,libedata-book,
-        libedata-cal,libedataserverui},pixmaps/evolution-data-server}}</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libe.so">
-        <term><filename class='libraryfile'>libe*.so</filename></term>
-        <listitem>
-          <para>libraries are client, backend and utility libraries for the
-          <application>Evolution</application> address books, calendar and data
-          servers.</para>
-          <indexterm zone="evolution-data-server libe.so">
-            <primary sortas="c-libe.so">libe*.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>