Index: general/genlib/gsl.xml
===================================================================
--- general/genlib/gsl.xml	(revision b747635d7e08656a07c2738de01949492800f748)
+++ general/genlib/gsl.xml	(revision 3550a2af1619629712c15b5db520e59b9a3b391a)
@@ -7,8 +7,8 @@
   <!ENTITY gsl-download-http "&gnu-http;/gsl/gsl-&gsl-version;.tar.gz">
   <!ENTITY gsl-download-ftp  "&gnu-ftp;/gsl/gsl-&gsl-version;.tar.gz">
-  <!ENTITY gsl-md5sum        "bda73a3dd5ff2f30b5956764399db6e7">
-  <!ENTITY gsl-size          "7.1 MB">
-  <!ENTITY gsl-buildsize     "275 MB (with tests, without docs)">
-  <!ENTITY gsl-time          "1.7 SBU (with tests, without docs)">
+  <!ENTITY gsl-md5sum        "9e47e81caaebcd92b7aca27a5348df74">
+  <!ENTITY gsl-size          "7.2 MB">
+  <!ENTITY gsl-buildsize     "256 MB (with tests, without docs)">
+  <!ENTITY gsl-time          "1.4 SBU (Using parallelism=4; with tests, without docs)">
 ]>
 
Index: general/genlib/libmbim.xml
===================================================================
--- general/genlib/libmbim.xml	(revision b747635d7e08656a07c2738de01949492800f748)
+++ general/genlib/libmbim.xml	(revision 3550a2af1619629712c15b5db520e59b9a3b391a)
@@ -7,6 +7,6 @@
   <!ENTITY libmbim-download-http "https://www.freedesktop.org/software/libmbim/libmbim-&libmbim-version;.tar.xz">
   <!ENTITY libmbim-download-ftp  " ">
-  <!ENTITY libmbim-md5sum        "38d228548eae3ee144e19a42b028eab0">
-  <!ENTITY libmbim-size          "500 KB">
+  <!ENTITY libmbim-md5sum        "89f6b740ac60f8b008f6446006bbbb7e">
+  <!ENTITY libmbim-size          "508 KB">
   <!ENTITY libmbim-buildsize     "29 MB (with tests)">
   <!ENTITY libmbim-time          "0.2 SBU (with tests)">
Index: general/genlib/qca.xml
===================================================================
--- general/genlib/qca.xml	(revision b747635d7e08656a07c2738de01949492800f748)
+++ general/genlib/qca.xml	(revision 3550a2af1619629712c15b5db520e59b9a3b391a)
@@ -7,8 +7,8 @@
   <!ENTITY qca-download-http "https://download.kde.org/stable/qca/&qca-version;/qca-&qca-version;.tar.xz">
   <!ENTITY qca-download-ftp  " ">
-  <!ENTITY qca-md5sum        "328ca1e968ee29a2bf6f383b1f9c163e">
-  <!ENTITY qca-size          "718 KB">
-  <!ENTITY qca-buildsize     "43 MB">
-  <!ENTITY qca-time          "0.6 SBU (using parallelism=4; add 0.6 SBU for tests)">
+  <!ENTITY qca-md5sum        "22d9aad50442168911d442792c047266">
+  <!ENTITY qca-size          "720 KB">
+  <!ENTITY qca-buildsize     "42 MB">
+  <!ENTITY qca-time          "0.5 SBU (using parallelism=4; add 0.7 SBU for tests)">
 ]>
 
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision b747635d7e08656a07c2738de01949492800f748)
+++ general/graphlib/poppler.xml	(revision 3550a2af1619629712c15b5db520e59b9a3b391a)
@@ -7,8 +7,8 @@
   <!ENTITY poppler-download-http "https://poppler.freedesktop.org/poppler-&poppler-version;.tar.xz">
   <!ENTITY poppler-download-ftp  " ">
-  <!ENTITY poppler-md5sum        "109c337462c2a4ac916226588a2c23f7">
+  <!ENTITY poppler-md5sum        "f97093b816ed99ebd522b7820c2f6d48">
   <!ENTITY poppler-size          "1.6 MB">
-  <!ENTITY poppler-buildsize     "95 MB (with Qt5 library and tests)">
-  <!ENTITY poppler-time          "1.0 SBU (with parallelism=4, Qt5 library, and tests)">
+  <!ENTITY poppler-buildsize     "104 MB (with Qt5 library and tests)">
+  <!ENTITY poppler-time          "0.8 SBU (with parallelism=4, Qt5 library, and tests)">
   <!-- Time increase might be due to git.freedesktop.org -->
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b747635d7e08656a07c2738de01949492800f748)
+++ introduction/welcome/changelog.xml	(revision 3550a2af1619629712c15b5db520e59b9a3b391a)
@@ -46,5 +46,30 @@
       <itemizedlist>
         <listitem>
-          <para>[timtas] - Update to alsa-lib-1.2.5 alsa-tools-1.2.5 alsa-utils-1.2.5 and alsa-plugins 1.2.5. Fixes
+          <para>[bdubbs] - Update to mesa-21.1.2. Fixes
+          <ulink url="&blfs-ticket-root;15107">#15107</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libinput-1.18.0 (Xorg driver). Fixes
+          <ulink url="&blfs-ticket-root;15106">#15106</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libmbim-1.24.8. Fixes
+          <ulink url="&blfs-ticket-root;15104">#15104</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to poppler-21.06.0. Fixes
+          <ulink url="&blfs-ticket-root;15102">#15102</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to qca-2.3.3. Fixes
+          <ulink url="&blfs-ticket-root;15101">#15101</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gsl-2.7. Fixes
+          <ulink url="&blfs-ticket-root;15100">#15100</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[timtas] - Update to alsa-lib-1.2.5, alsa-tools-1.2.5, 
+          alsa-utils-1.2.5, and alsa-plugins 1.2.5. Fixes
           <ulink url="&blfs-ticket-root;15099">#15099</ulink>.</para>
         </listitem>
@@ -97,5 +122,5 @@
         </listitem>
         <listitem>
-          <para>[bdubbs] - Update to vsftpd-3.0.4
+          <para>[bdubbs] - Update to vsftpd-3.0.4. Fixes
           <ulink url="&blfs-ticket-root;15096">#15096</ulink>.</para>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision b747635d7e08656a07c2738de01949492800f748)
+++ packages.ent	(revision 3550a2af1619629712c15b5db520e59b9a3b391a)
@@ -102,5 +102,5 @@
 <!ENTITY gobject-introspection-version "1.68.0">
 <!ENTITY grantlee-version             "5.2.0">
-<!ENTITY gsl-version                  "2.6">
+<!ENTITY gsl-version                  "2.7">
 <!ENTITY gspell-version               "1.8.4">
 
@@ -149,5 +149,5 @@
 <!ENTITY libksba-version              "1.5.1">
 <!ENTITY liblinear-version            "243">
-<!ENTITY libmbim-version              "1.24.6">
+<!ENTITY libmbim-version              "1.24.8">
 <!--<!ENTITY libnfsidmap-version          "0.26">-->
 <!ENTITY libpaper-version             "1.1.24+nmu5">
@@ -186,5 +186,5 @@
 <!ENTITY pth-version                  "2.0.7">
 <!ENTITY ptlib-version                "2.10.11">
-<!ENTITY qca-version                  "2.3.2">
+<!ENTITY qca-version                  "2.3.3">
 <!ENTITY qjson-version                "0.8.1">
 <!ENTITY sbc-version                  "1.5">
@@ -234,5 +234,5 @@
 <!ENTITY openjpeg2-version            "2.4.0">
 <!ENTITY pixman-version               "0.40.0">   <!-- Even minors only -->
-<!ENTITY poppler-version              "21.05.0">
+<!ENTITY poppler-version              "21.06.0">
 <!ENTITY potrace-version              "1.16">
 <!ENTITY qpdf-version                 "10.3.2">
@@ -700,5 +700,5 @@
 <!ENTITY xkeyboard-config-version     "2.32">
 <!ENTITY mesa-major-minor             "21.1">
-<!ENTITY mesa-version                 "&mesa-major-minor;.1">
+<!ENTITY mesa-version                 "&mesa-major-minor;.2">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
Index: x/installing/libinput.xml
===================================================================
--- x/installing/libinput.xml	(revision b747635d7e08656a07c2738de01949492800f748)
+++ x/installing/libinput.xml	(revision 3550a2af1619629712c15b5db520e59b9a3b391a)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY libinput-version "1.17.3">
+  <!ENTITY libinput-version "1.18.0">
 
   <!ENTITY libinput-download-http "https://www.freedesktop.org/software/libinput/libinput-&libinput-version;.tar.xz">
   <!ENTITY libinput-download-ftp  " ">
-  <!ENTITY libinput-md5sum        "3533f4dc8f0562ccd1a8814da155281b">
-  <!ENTITY libinput-size          "600 KB">
+  <!ENTITY libinput-md5sum        "847a3c24383e1a937d1d46c46332e710">
+  <!ENTITY libinput-size          "604 KB">
   <!ENTITY libinput-buildsize     "12 MB">
   <!ENTITY libinput-time          "less than 0.1 SBU">
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision b747635d7e08656a07c2738de01949492800f748)
+++ x/installing/mesa.xml	(revision 3550a2af1619629712c15b5db520e59b9a3b391a)
@@ -7,5 +7,5 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "69dc5839192f75991c5f5162d351587f">
+  <!ENTITY mesa-md5sum        "b6eecb58b0cef493c3a0802191456012">
   <!ENTITY mesa-size          "14 MB">
   <!ENTITY mesa-buildsize     "545 MB (with docs)">